team add quest_villagers
team modify quest_villagers color gold
forceload add 0 0

# Set Storage Values
## Song Lengths
data modify storage lvlmc:music track0 set value 0
data modify storage lvlmc:music track1 set value 5354
data modify storage lvlmc:music track2 set value 1520

## Boss Values
execute store result storage lvlmc:boss.giant difficulty int 1 run difficulty
data modify storage lvlmc:boss.giant health set value [0, 150, 250, 350]
data modify storage lvlmc:boss.giant phase2 set value [0, 100, 200, 300]
data modify storage lvlmc:boss.giant phase3 set value [0, 20, 15, 15]
data modify storage lvlmc:boss.giant phase3_length set value [0, 200, 400, 600]
data modify storage lvlmc:boss.giant electrocute_time set value [0, 20, 25, 30]
data modify storage lvlmc:boss.giant barrier_width set value [0, 10, 9, 8]

data modify storage lvlmc:item_data lvlmc:copper_tank set value {stored_oxygen:250}


# Sacrificing
## Combat
data modify storage lvlmc:item_data minecraft:rotten_flesh set value {value:6, type:1}
data modify storage lvlmc:item_data minecraft:zombie_head set value {value:25, type:1}
data modify storage lvlmc:item_data minecraft:bone set value {value:7, type:1}
data modify storage lvlmc:item_data minecraft:skeleton_skull set value {value:30, type:1}
data modify storage lvlmc:item_data minecraft:wither_skeleton_skull set value {value:50, type:1}
data modify storage lvlmc:item_data minecraft:nether_star set value {value:700, type:1}
data modify storage lvlmc:item_data minecraft:string set value {value:5, type:1}
data modify storage lvlmc:item_data minecraft:spider_eye set value {value:7, type:1}
data modify storage lvlmc:item_data minecraft:gunpowder set value {value:4, type:1}
data modify storage lvlmc:item_data minecraft:creeper_head set value {value:30, type:1}
data modify storage lvlmc:item_data minecraft:slime_ball set value {value:2, type:1}
data modify storage lvlmc:item_data minecraft:ghast_tear set value {value:50, type:1}
data modify storage lvlmc:item_data minecraft:blaze_rod set value {value:15, type:1}
data modify storage lvlmc:item_data minecraft:magma_cream set value {value:7, type:1}
data modify storage lvlmc:item_data minecraft:phantom_membrane set value {value:12, type:1}
data modify storage lvlmc:item_data minecraft:shulker_shell set value {value:80, type:1}
data modify storage lvlmc:item_data minecraft:ender_pearl set value {value:20, type:1}
data modify storage lvlmc:item_data minecraft:lapis_lazuli set value {value:2, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_11 set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_13 set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_blocks set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_cat set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_chirp set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_far set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_mall set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_mellohi set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_stal set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_strad set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_wait set value {value:40, type:1}
data modify storage lvlmc:item_data minecraft:music_disc_ward set value {value:40, type:1}

## Foraging
data modify storage lvlmc:item_data minecraft:oak_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:spruce_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:birch_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:jungle_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:acacia_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:dark_oak_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_oak_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_spruce_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_birch_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_jungle_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_acacia_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:stripped_dark_oak_log set value {value:10, type:2}
data modify storage lvlmc:item_data minecraft:warped_stem set value {value:20, type:2}
data modify storage lvlmc:item_data minecraft:crimson_stem set value {value:20, type:2}
data modify storage lvlmc:item_data minecraft:stripped_warped_stem set value {value:20, type:2}
data modify storage lvlmc:item_data minecraft:stripped_crimson_stem set value {value:20, type:2}
data modify storage lvlmc:item_data minecraft:mangrove_log set value {value:40, type:2}
data modify storage lvlmc:item_data minecraft:cherry_log set value {value:35, type:2}
data modify storage lvlmc:item_data minecraft:stripped_mangrove_log set value {value:40, type:2}
data modify storage lvlmc:item_data minecraft:stripped_cherry_log set value {value:35, type:2}
data modify storage lvlmc:item_data minecraft:oak_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:spruce_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:birch_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:jungle_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:acacia_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:dark_oak_sapling set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:cherry_sapling set value {value:6, type:2}
data modify storage lvlmc:item_data minecraft:mangrove_propagule set value {value:6, type:2}
data modify storage lvlmc:item_data minecraft:azalea set value {value:6, type:2}
data modify storage lvlmc:item_data minecraft:flowering_azalea set value {value:6, type:2}
data modify storage lvlmc:item_data minecraft:glow_berries set value {value:25, type:2}
data modify storage lvlmc:item_data minecraft:chorus_fruit set value {value:50, type:2}
data modify storage lvlmc:item_data minecraft:popped_chorus_fruit set value {value:75, type:2}
data modify storage lvlmc:item_data minecraft:red_mushroom set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:brown_mushroom set value {value:3, type:2}
data modify storage lvlmc:item_data minecraft:sweet_berries set value {value:1, type:2}
data modify storage lvlmc:item_data minecraft:apple set value {value:30, type:2}
data modify storage lvlmc:item_data minecraft:warped_fungus set value {value:15, type:2}
data modify storage lvlmc:item_data minecraft:crimson_fungus set value {value:15, type:2}

## Mining
data modify storage lvlmc:item_data minecraft:dirt set value {value:1, type:3}
data modify storage lvlmc:item_data minecraft:sand set value {value:1, type:3}
data modify storage lvlmc:item_data minecraft:cobblestone set value {value:1, type:3, boostedvalue:2}
data modify storage lvlmc:item_data minecraft:stone set value {value:1, type:3, boostedvalue:2}
data modify storage lvlmc:item_data minecraft:granite set value {value:2, type:3, boostedvalue:6}
data modify storage lvlmc:item_data minecraft:diorite set value {value:2, type:3, boostedvalue:6}
data modify storage lvlmc:item_data minecraft:andesite set value {value:2, type:3, boostedvalue:6}
data modify storage lvlmc:item_data minecraft:netherrack set value {value:1, type:3, boostedvalue:2}
data modify storage lvlmc:item_data minecraft:blackstone set value {value:3, type:3, boostedvalue:4}
data modify storage lvlmc:item_data minecraft:basalt set value {value:3, type:3, boostedvalue:5}
data modify storage lvlmc:item_data minecraft:cobbled_deepslate set value {value:2, type:3, boostedvalue:3}
data modify storage lvlmc:item_data minecraft:deepslate set value {value:2, type:3, boostedvalue:3}
data modify storage lvlmc:item_data minecraft:tuff set value {value:2, type:3, boostedvalue:5}
data modify storage lvlmc:item_data minecraft:gravel set value {value:3, type:3}
data modify storage lvlmc:item_data minecraft:flint set value {value:6, type:3}
data modify storage lvlmc:item_data minecraft:clay set value {value:5, type:3}
data modify storage lvlmc:item_data minecraft:clay_ball set value {value:1, type:3}
data modify storage lvlmc:item_data minecraft:coal set value {value:6, type:3}
data modify storage lvlmc:item_data minecraft:coal_ore set value {value:12, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_coal_ore set value {value:20, type:3}
data modify storage lvlmc:item_data minecraft:raw_copper set value {value:6, type:3}
data modify storage lvlmc:item_data minecraft:copper_ingot set value {value:12, type:3}
data modify storage lvlmc:item_data minecraft:copper_ore set value {value:16, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_copper_ore set value {value:30, type:3}
data modify storage lvlmc:item_data minecraft:raw_iron set value {value:25, type:3}
data modify storage lvlmc:item_data minecraft:iron_ingot set value {value:30, type:3}
data modify storage lvlmc:item_data minecraft:iron_ore set value {value:60, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_iron_ore set value {value:75, type:3}
data modify storage lvlmc:item_data minecraft:raw_gold set value {value:25, type:3}
data modify storage lvlmc:item_data minecraft:gold_ingot set value {value:30, type:3}
data modify storage lvlmc:item_data minecraft:nether_gold_ore set value {value:45, type:3}
data modify storage lvlmc:item_data minecraft:gold_ore set value {value:50, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_gold_ore set value {value:60, type:3}
data modify storage lvlmc:item_data minecraft:redstone set value {value:10, type:3}
data modify storage lvlmc:item_data minecraft:redstone_ore set value {value:60, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_redstone_ore set value {value:80, type:3}
data modify storage lvlmc:item_data minecraft:emerald set value {value:70, type:3}
data modify storage lvlmc:item_data minecraft:emerald_ore set value {value:150, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_emerald_ore set value {value:500, type:3}
data modify storage lvlmc:item_data minecraft:lapis_ore set value {value:60, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_lapis_ore set value {value:75, type:3}
data modify storage lvlmc:item_data minecraft:diamond set value {value:75, type:3}
data modify storage lvlmc:item_data minecraft:diamond_ore set value {value:125, type:3}
data modify storage lvlmc:item_data minecraft:deepslate_diamond_ore set value {value:175, type:3}
data modify storage lvlmc:item_data minecraft:quartz set value {value:12, type:3}
data modify storage lvlmc:item_data minecraft:nether_quartz_ore set value {value:25, type:3}
data modify storage lvlmc:item_data minecraft:glowstone set value {value:50, type:3}
data modify storage lvlmc:item_data minecraft:glowstone_dust set value {value:10, type:3}
data modify storage lvlmc:item_data minecraft:netherite_scrap set value {value:130, type:3}
data modify storage lvlmc:item_data minecraft:netherite_ingot set value {value:1000, type:3}
data modify storage lvlmc:item_data minecraft:ancient_debris set value {value:120, type:3}
data modify storage lvlmc:item_data minecraft:amethyst_shard set value {value:50, type:3}

## Farming
data modify storage lvlmc:item_data minecraft:carrot set value {value:10, type:4}
data modify storage lvlmc:item_data minecraft:potato set value {value:12, type:4}
data modify storage lvlmc:item_data minecraft:poisonous_potato set value {value:20, type:4}
data modify storage lvlmc:item_data minecraft:wheat set value {value:35, type:4}
data modify storage lvlmc:item_data minecraft:wheat_seeds set value {value:5, type:4}
data modify storage lvlmc:item_data minecraft:beetroot set value {value:38, type:4}
data modify storage lvlmc:item_data minecraft:beetroot_seeds set value {value:3, type:4}
data modify storage lvlmc:item_data minecraft:pumpkin set value {value:40, type:4}
data modify storage lvlmc:item_data minecraft:carved_pumpkin set value {value:35, type:4}
data modify storage lvlmc:item_data minecraft:pumpkin_seeds set value {value:3, type:4}
data modify storage lvlmc:item_data minecraft:melon set value {value:46, type:4}
data modify storage lvlmc:item_data minecraft:melon_slice set value {value:5, type:4}
data modify storage lvlmc:item_data minecraft:melon_seeds set value {value:3, type:4}
data modify storage lvlmc:item_data minecraft:bamboo set value {value:5, type:4}
data modify storage lvlmc:item_data minecraft:kelp set value {value:5, type:4}
data modify storage lvlmc:item_data minecraft:sugar_cane set value {value:6, type:4}
data modify storage lvlmc:item_data minecraft:cocoa_beans set value {value:15, type:4}
data modify storage lvlmc:item_data minecraft:nether_wart set value {value:20, type:4}

## Fishing
data modify storage lvlmc:item_data minecraft:cod set value {value:10, type:5}
data modify storage lvlmc:item_data minecraft:salmon set value {value:20, type:5}
data modify storage lvlmc:item_data minecraft:tropical_fish set value {value:100, type:5}
data modify storage lvlmc:item_data minecraft:pufferfish set value {value:25, type:5}
data modify storage lvlmc:item_data minecraft:nautilus_shell set value {value:75, type:5}
data modify storage lvlmc:item_data minecraft:heart_of_the_sea set value {value:100, type:5}
data modify storage lvlmc:item_data minecraft:conduit set value {value:1000, type:5}
data modify storage lvlmc:item_data minecraft:lily_pad set value {value:20, type:5}
data modify storage lvlmc:item_data minecraft:ink_sac set value {value:5, type:5}
data modify storage lvlmc:item_data minecraft:prismarine_shard set value {value:40, type:5}
data modify storage lvlmc:item_data minecraft:prismarine_crystals set value {value:45, type:5}


## Custom Items
data modify storage lvlmc:item_data lvlmc:ravager_horn set value {value:500, type:1}
data modify storage lvlmc:item_data lvlmc:servant_soul set value {value:25, type:1, brew_result:"lightning_flask"}
data modify storage lvlmc:item_data lvlmc:heat_core set value {value:500, type:1, brew_result:"fire_flask"}
data modify storage lvlmc:item_data lvlmc:elder_eye set value {value:600, type:1}
data modify storage lvlmc:item_data lvlmc:antarctic_silverfish set value {value:120, type:5}
data modify storage lvlmc:item_data lvlmc:tambaqui set value {value:120, type:5}
data modify storage lvlmc:item_data lvlmc:tambaqui set value {value:120, type:5}
data modify storage lvlmc:item_data lvlmc:molten_lobster set value {value:200, type:5}

data modify storage lvlmc:item_data lvlmc:combat_essence set value {value:10, type:1}


# Cleanup
tellraw @a {"translate": "lvlmc.if_you_see_this_install_the_resourcepack", "color": "green"}

kill @e[type=minecraft:interaction, tag=disable_items]
kill @e[type=minecraft:marker, tag=individual_data]

# Scoreboards
scoreboard objectives add lvlmc.get_campfire_notes trigger

## Bestiary
scoreboard objectives add lvlmc.get_bestiary trigger
scoreboard objectives add lvlmc.best_blaze minecraft.killed:minecraft.blaze
scoreboard objectives add lvlmc.best_cave_spider minecraft.killed:minecraft.cave_spider
scoreboard objectives add lvlmc.best_creeper minecraft.killed:minecraft.creeper
scoreboard objectives add lvlmc.best_drowned minecraft.killed:minecraft.drowned
scoreboard objectives add lvlmc.best_elder_guardian minecraft.killed:minecraft.elder_guardian
scoreboard objectives add lvlmc.best_enderman minecraft.killed:minecraft.enderman
scoreboard objectives add lvlmc.best_endermite minecraft.killed:minecraft.endermite
scoreboard objectives add lvlmc.best_evoker minecraft.killed:minecraft.evoker
scoreboard objectives add lvlmc.best_ghast minecraft.killed:minecraft.ghast
scoreboard objectives add lvlmc.best_giant minecraft.killed:minecraft.giant
scoreboard objectives add lvlmc.best_guardian minecraft.killed:minecraft.guardian
scoreboard objectives add lvlmc.best_hoglin minecraft.killed:minecraft.hoglin
scoreboard objectives add lvlmc.best_husk minecraft.killed:minecraft.husk
scoreboard objectives add lvlmc.best_magma_cube minecraft.killed:minecraft.magma_cube
scoreboard objectives add lvlmc.best_phantom minecraft.killed:minecraft.phantom
scoreboard objectives add lvlmc.best_piglin minecraft.killed:minecraft.piglin
scoreboard objectives add lvlmc.best_piglin_brute minecraft.killed:minecraft.piglin_brute
scoreboard objectives add lvlmc.best_pillager minecraft.killed:minecraft.pillager
scoreboard objectives add lvlmc.best_ravager minecraft.killed:minecraft.ravager
scoreboard objectives add lvlmc.best_shulker minecraft.killed:minecraft.shulker
scoreboard objectives add lvlmc.best_silverfish minecraft.killed:minecraft.silverfish
scoreboard objectives add lvlmc.best_skeleton minecraft.killed:minecraft.skeleton
scoreboard objectives add lvlmc.best_slime minecraft.killed:minecraft.slime
scoreboard objectives add lvlmc.best_spider minecraft.killed:minecraft.spider
scoreboard objectives add lvlmc.best_stray minecraft.killed:minecraft.stray
scoreboard objectives add lvlmc.best_vex minecraft.killed:minecraft.vex
scoreboard objectives add lvlmc.best_vindicator minecraft.killed:minecraft.vindicator
scoreboard objectives add lvlmc.best_warden minecraft.killed:minecraft.warden
scoreboard objectives add lvlmc.best_witch minecraft.killed:minecraft.witch
scoreboard objectives add lvlmc.best_wither minecraft.killed:minecraft.wither
scoreboard objectives add lvlmc.best_wither_skeleton minecraft.killed:minecraft.wither_skeleton
scoreboard objectives add lvlmc.best_zoglin minecraft.killed:minecraft.zoglin
scoreboard objectives add lvlmc.best_zombie minecraft.killed:minecraft.zombie
scoreboard objectives add lvlmc.best_zombie_villager minecraft.killed:minecraft.zombie_villager
scoreboard objectives add lvlmc.best_zombified_piglin minecraft.killed:minecraft.zombified_piglin

## data
scoreboard objectives add lvlmc.last_mainhand_slot dummy
scoreboard objectives add lvlmc.mainhand_slot dummy
scoreboard objectives add lvlmc.last_mainhand_count dummy
scoreboard objectives add lvlmc.mainhand_count dummy

scoreboard objectives add lvlmc.disable_type dummy
scoreboard objectives add lvlmc.disable_message dummy

scoreboard objectives add lvlmc.reload_bar dummy
scoreboard objectives add lvlmc.no_actionbar dummy

scoreboard objectives add lvlmc.electrocuted dummy
scoreboard objectives add lvlmc.frozen dummy

scoreboard objectives add lvlmc.song_progress dummy
scoreboard objectives add lvlmc.last_track dummy

scoreboard objectives add lvlmc.max_oxygen dummy
scoreboard objectives add lvlmc.oxygen dummy
scoreboard objectives add lvlmc.was_survival dummy

scoreboard objectives add lvlmc.fishing dummy
scoreboard objectives add lvlmc.lava_hooked dummy
scoreboard objectives add lvlmc.used_fishing_rod minecraft.used:minecraft.fishing_rod

scoreboard objectives add lvlmc.bursts_left dummy

scoreboard objectives add lvlmc.threw_trident minecraft.used:minecraft.trident
scoreboard objectives add lvlmc.used_crossbow minecraft.used:minecraft.crossbow
scoreboard objectives add lvlmc.used_bow minecraft.used:minecraft.bow


scoreboard objectives add lvlmc.recipe_data dummy

scoreboard objectives add lvlmc.scroll_value dummy

scoreboard objectives add lvlmc.clear_now dummy


## Experience
scoreboard objectives add lvlmc.combatxp dummy
scoreboard objectives add lvlmc.farmingxp dummy
scoreboard objectives add lvlmc.fishingxp dummy
scoreboard objectives add lvlmc.foragingxp dummy
scoreboard objectives add lvlmc.miningxp dummy


## Quests
scoreboard objectives add lvlmc.dialogue_id dummy
scoreboard objectives add lvlmc.dialogue_delay dummy
scoreboard objectives add lvlmc.dialogue_progress dummy

scoreboard objectives add lvlmc.quest_active dummy
scoreboard objectives add lvlmc.quest_delay dummy
scoreboard objectives add lvlmc.check_quest dummy

scoreboard objectives add lvlmc.early_explain dummy
scoreboard objectives add lvlmc.choice_quest dummy


scoreboard objectives add lvlmc.skeletons_killed minecraft.killed:minecraft.skeleton
scoreboard objectives add lvlmc.drowneds_killed minecraft.killed:minecraft.drowned
scoreboard objectives add lvlmc.zombies_killed minecraft.killed:minecraft.zombie

scoreboard objectives add lvlmc.quest_loot_table dummy
scoreboard objectives add lvlmc.deserves_armor dummy
scoreboard objectives add lvlmc.last_sleep_boost dummy


## Bundle Sacrifice
scoreboard objectives add lvlmc.last_bundled_type dummy
scoreboard objectives add lvlmc.current_bundled_xp dummy
scoreboard objectives add lvlmc.bundle_reset dummy


## Temporary
scoreboard objectives add lvlmc.ray_count dummy
scoreboard objectives add lvlmc.temp dummy
scoreboard objectives add lvlmc.temp2 dummy
scoreboard objectives add lvlmc.temp3 dummy


## Advancements
scoreboard objectives add lvlmc.unlocked_archery dummy
scoreboard objectives add lvlmc.unlocked_armor_iron dummy
scoreboard objectives add lvlmc.unlocked_armor_diamond dummy
scoreboard objectives add lvlmc.unlocked_armor_netherite dummy
scoreboard objectives add lvlmc.unlocked_farming dummy
scoreboard objectives add lvlmc.unlocked_fishing dummy
scoreboard objectives add lvlmc.unlocked_trident dummy

## Bosses
scoreboard objectives add lvlmc.attack_delay dummy
scoreboard objectives add lvlmc.phase dummy
scoreboard objectives add lvlmc.spectating dummy
scoreboard objectives add lvlmc.dead deathCount