## Advancements
# https://minecraft.fandom.com/wiki/Experience

execute as @s[scores={lvlmc.combatxp=55..}] run advancement grant @s only lvlmc:milestones/combat/lvl5
execute as @s[scores={lvlmc.combatxp=315..}] run advancement grant @s only lvlmc:milestones/combat/lvl15
execute as @s[scores={lvlmc.combatxp=1395..}] run advancement grant @s only lvlmc:milestones/combat/lvl30
execute as @s[scores={lvlmc.combatxp=5345..}] run advancement grant @s only lvlmc:milestones/combat/lvl50
execute as @s[scores={lvlmc.combatxp=30971..}] run advancement grant @s only lvlmc:milestones/combat/lvl100

execute as @s[scores={lvlmc.foragingxp=55..}] run advancement grant @s only lvlmc:milestones/foraging/lvl5
execute as @s[scores={lvlmc.foragingxp=315..}] run advancement grant @s only lvlmc:milestones/foraging/lvl15
execute as @s[scores={lvlmc.foragingxp=1395..}] run advancement grant @s only lvlmc:milestones/foraging/lvl30
execute as @s[scores={lvlmc.foragingxp=5345..}] run advancement grant @s only lvlmc:milestones/foraging/lvl50
execute as @s[scores={lvlmc.foragingxp=30971..}] run advancement grant @s only lvlmc:milestones/foraging/lvl100

execute as @s[scores={lvlmc.miningxp=55..}] run advancement grant @s only lvlmc:milestones/mining/lvl5
execute as @s[scores={lvlmc.miningxp=315..}] run advancement grant @s only lvlmc:milestones/mining/lvl15
execute as @s[scores={lvlmc.miningxp=1395..}] run advancement grant @s only lvlmc:milestones/mining/lvl30
execute as @s[scores={lvlmc.miningxp=5345..}] run advancement grant @s only lvlmc:milestones/mining/lvl50
execute as @s[scores={lvlmc.miningxp=30971..}] run advancement grant @s only lvlmc:milestones/mining/lvl100

execute as @s[scores={lvlmc.farmingxp=1..}] run advancement grant @s only lvlmc:milestones/farming/root
execute as @s[scores={lvlmc.farmingxp=55..}] run advancement grant @s only lvlmc:milestones/farming/lvl5
execute as @s[scores={lvlmc.farmingxp=315..}] run advancement grant @s only lvlmc:milestones/farming/lvl15
execute as @s[scores={lvlmc.farmingxp=1395..}] run advancement grant @s only lvlmc:milestones/farming/lvl30
execute as @s[scores={lvlmc.farmingxp=5345..}] run advancement grant @s only lvlmc:milestones/farming/lvl50
execute as @s[scores={lvlmc.farmingxp=30971..}] run advancement grant @s only lvlmc:milestones/farming/lvl100

execute as @s[scores={lvlmc.fishingxp=1..}] run advancement grant @s only lvlmc:milestones/fishing/root
execute as @s[scores={lvlmc.fishingxp=160..}] run advancement grant @s only lvlmc:milestones/fishing/lvl10
execute as @s[scores={lvlmc.fishingxp=1395..}] run advancement grant @s only lvlmc:milestones/fishing/lvl30
execute as @s[scores={lvlmc.fishingxp=5345..}] run advancement grant @s only lvlmc:milestones/fishing/lvl50


## Water Logic
execute as @a[predicate=lvlmc:adventure_toggle, gamemode=survival] store success score @s lvlmc.was_survival run gamemode adventure
execute as @a[predicate=!lvlmc:adventure_toggle, scores={lvlmc.was_survival=1}, gamemode=adventure] run gamemode survival
execute as @a[predicate=!lvlmc:adventure_toggle, scores={lvlmc.was_survival=1}] run scoreboard players set @s lvlmc.was_survival 0

execute anchored eyes positioned ^ ^ ^ if predicate lvlmc:is_water as @s[gamemode=!spectator, gamemode=!creative] run function lvlmc:system/ocean/logic
execute anchored eyes positioned ^ ^ ^ if predicate lvlmc:is_water as @s[gamemode=!spectator, gamemode=!creative, predicate=lvlmc:wearing_tank, nbt=!{active_effects:[{id:"minecraft:conduit_power"}]}] unless score @s lvlmc.oxygen matches 0 run return run function lvlmc:system/ocean/oxygen with entity @s
execute anchored eyes positioned ^ ^ ^ unless predicate lvlmc:is_water run scoreboard players set @s lvlmc.oxygen -1

effect clear @s[nbt={active_effects:[{id:"minecraft:water_breathing"}]}] water_breathing

# Disable Items
execute unless score @s lvlmc.mainhand_slot = @s lvlmc.last_mainhand_slot run function lvlmc:system/disable/items/check
function lvlmc:system/disable/items/hitbox with entity @s

execute unless score @s lvlmc.reload_bar matches 0..1 run scoreboard players set @s lvlmc.reload_bar 0
execute as @s[scores={lvlmc.reload_bar=0}] unless score @s lvlmc.last_mainhand_count = @s lvlmc.mainhand_count run scoreboard players set @s lvlmc.reload_bar 1
execute as @s[scores={lvlmc.reload_bar=0}] unless score @s lvlmc.mainhand_slot = @s lvlmc.last_mainhand_slot run scoreboard players set @s lvlmc.reload_bar 1

execute as @s[scores={lvlmc.reload_bar=1}] run function lvlmc:system/visuals with entity @s