## Initialize
execute store result score @s[scores={lvlmc.oxygen=-1}] lvlmc.temp run data get entity @s Air
execute as @s[scores={lvlmc.oxygen=-1, lvlmc.temp=280..}] run function lvlmc:system/ocean/check_tank with entity @s Inventory[{Slot:102b}].components.minecraft:custom_data

## Return if bar is empty
execute as @s[scores={lvlmc.oxygen=-1}] run return run scoreboard players set @s lvlmc.oxygen 0


## Show Texture that covers Level Numbers
title @s actionbar {"translate":"lvlmc.gui.oxygen_icon"}

## Remove Oxygen
scoreboard players remove @s[scores={lvlmc.oxygen=1..}] lvlmc.oxygen 1
scoreboard players remove @s[scores={lvlmc.oxygen=1..}, predicate=lvlmc:place/upper_abyss] lvlmc.oxygen 1


## Give Set bonus effect
effect give @s[scores={lvlmc.oxygen=1..}, nbt=!{active_effects:[{id:"minecraft:water_breathing"}]}] water_breathing infinite 0 true
effect clear @s[scores={lvlmc.oxygen=..0}, nbt={active_effects:[{id:"minecraft:water_breathing"}]}] water_breathing


## Calculate and set XP Bar Value
scoreboard players set @s lvlmc.temp 732
scoreboard players operation @s lvlmc.temp *= @s lvlmc.oxygen
scoreboard players operation @s lvlmc.temp /= @s lvlmc.max_oxygen
$execute store result entity @e[type=marker, nbt={Tags:["data-$(UUID)"]}, sort=nearest, limit=1] data.oxygen int 1 run scoreboard players get @s lvlmc.temp
$execute run function lvlmc:system/ocean/visual with entity @e[type=marker, nbt={Tags:["data-$(UUID)"]}, sort=nearest, limit=1] data

scoreboard players set @s lvlmc.reload_bar 1