execute if data entity @s Item.components run function lvlmc:system/sacrifice/campfire/check_tagged with entity @s Item
execute unless data entity @s Item.components run function lvlmc:system/sacrifice/campfire/check with entity @s Item

# Register Items
## Weather
execute if entity @e[distance=..1, tag=campfire_item, limit=1, sort=nearest, tag=campfire_item, nbt={data:{id:"minecraft:water_bucket"}}] store success score @s lvlmc.temp2 run weather rain
execute if entity @e[distance=..1, tag=campfire_item, limit=1, sort=nearest, tag=campfire_item, nbt={data:{id:"minecraft:copper_ingot"}}, scores={lvlmc.temp3=10..}] store success score @s lvlmc.temp2 run weather thunder
execute if entity @e[distance=..1, tag=campfire_item, limit=1, sort=nearest, tag=campfire_item, nbt={data:{id:"minecraft:amethyst_shard"}}, scores={lvlmc.temp3=7..}] store success score @s lvlmc.temp2 run weather clear

## Bosses
execute if entity @e[distance=..1, tag=campfire_item, limit=1, sort=nearest, tag=campfire_item, nbt={data:{id:"minecraft:fermented_spider_eye", components:{"minecraft:custom_data":{item_id:"lvlmc:elder_eye"}}}}] run scoreboard players set @s lvlmc.temp2 2


# Run Events
## Generic
execute as @s[scores={lvlmc.temp2=1..}] run summon lightning_bolt ~ ~-2 ~
execute as @s[scores={lvlmc.temp2=1..}] run kill @e[distance=..1, tag=campfire_item, limit=1, sort=nearest, tag=campfire_item]

## Blessings
execute as @s[scores={lvlmc.temp2=1}] run advancement grant @p only lvlmc:main/any_campfire_ritual
execute as @s[scores={lvlmc.temp2=1}] run playsound item.trident.thunder master @a

## Bosses
execute as @s[scores={lvlmc.temp2=2}] run advancement grant @p only lvlmc:main/campfire_boss
execute as @s[scores={lvlmc.temp2=2}] run tellraw @a[distance=..100] [{"translate": "lvlmc.boss.generic.warning", "color": "red"}]
execute as @s[scores={lvlmc.temp2=2}] run weather rain
execute as @s[scores={lvlmc.temp2=2}] run schedule function lvlmc:mobs/giant/init/summon 10s
execute as @s[scores={lvlmc.temp2=2}] run summon marker ~ ~ ~ {Tags:["campfire_mark"]}
execute as @s[scores={lvlmc.temp2=2}] run setblock ~ ~ ~ air


# Final
playsound item.firecharge.use master @a
kill