execute as @a at @s run function lvlmc:tick_players with entity @s

execute as @e[scores={lvlmc.electrocuted=1..}] at @s run function lvlmc:items/enchants/channeling/tick
execute as @e[scores={lvlmc.frozen=1..}] at @s run function lvlmc:items/enchants/frozen/tick

# Campfires
execute as @e[type=item, predicate=lvlmc:time_night] at @s align xyz positioned ~0.5 ~0.5 ~0.5 if block ~ ~ ~ soul_campfire[lit=true] unless entity @s[distance=0.3..] run function lvlmc:system/sacrifice/campfire/effects
execute as @e[type=item] at @s align xyz positioned ~0.5 ~0.5 ~0.5 if block ~ ~ ~ campfire[lit=true] unless entity @s[distance=0.3..] run function lvlmc:system/sacrifice/campfire/convert
execute as @e[type=item_display, tag=campfire_item] at @s unless block ~ ~ ~ soul_campfire run kill

# Boss
## AI
execute as @e[type=husk, tag=giant_brain] on vehicle at @s on controller run function lvlmc:mobs/giant/tick with storage lvlmc:boss.giant
execute as @e[type=husk, tag=giant_brain, predicate=!lvlmc:riding] at @e[type=marker, tag=campfire_mark, sort=nearest, limit=1] run function lvlmc:mobs/giant/end/defeated

# Rare Drops
execute as @e[type=item, nbt={Item:{components:{"minecraft:custom_data":{is_drop:true}}}}] run function lvlmc:items/drops/init with entity @s Item.components.minecraft:profile

kill @e[type=experience_orb]