## Change Values
execute store result score @s lvlmc.mainhand_slot run data get entity @s SelectedItemSlot
execute store result score @s lvlmc.mainhand_count run data get entity @s SelectedItem.count
scoreboard players add @s lvlmc.bundle_reset 1

function lvlmc:system/bar_handle

## Rewards
execute as @s[scores={lvlmc.get_bestiary=1..}] run function lvlmc:quest/villager/rewards/bestiary/generate


## Items
$execute if items entity @s[scores={lvlmc.used_crossbow=1}] weapon.* minecraft:crossbow[minecraft:custom_data~{"item_id":"lvlmc:burst_crossbow"}] if entity @e[type=arrow, sort=nearest, limit=1, nbt={life:0s, Owner:$(UUID)}] run function lvlmc:items/burst_crossbow with entity @e[type=arrow, sort=nearest, limit=1, nbt={life:0s, Owner:$(UUID)}]
execute as @s[advancements={lvlmc:detection/used/shortbow=true}, scores={lvlmc.used_bow=1}] run function lvlmc:items/shortbow with entity @s

execute store success score @s lvlmc.temp run advancement revoke @s only lvlmc:detection/enchantments/radiance mainhand
execute as @s[scores={lvlmc.threw_trident=1.., lvlmc.temp=1}] anchored eyes positioned ^ ^ ^ run function lvlmc:items/enchants/radiance/mainhand with entity @e[type=trident, limit=1, sort=nearest] item
execute store success score @s lvlmc.temp run advancement revoke @s only lvlmc:detection/enchantments/radiance offhand
execute as @s[scores={lvlmc.threw_trident=1.., lvlmc.temp=1}] anchored eyes positioned ^ ^ ^ run function lvlmc:items/enchants/radiance/offhand with entity @e[type=trident, limit=1, sort=nearest] item

advancement revoke @s only lvlmc:detection/used/shortbow
scoreboard players set @s lvlmc.threw_trident 0
scoreboard players set @s lvlmc.used_crossbow 0
scoreboard players set @s lvlmc.used_bow 0

## Fishing
execute as @s[scores={lvlmc.used_fishing_rod=1..}] run function lvlmc:items/fishing/init with entity @s
scoreboard players set @s lvlmc.used_fishing_rod 0

## Area Raycast
kill @e[type=marker, tag=selected_block]
scoreboard players set @a lvlmc.ray_count 0
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{components:{"minecraft:enchantments":{levels:{"minecraft:mending":1}}}}}] anchored eyes positioned ^ ^ ^ run function lvlmc:raycast


function lvlmc:system/music/detect with entity @s
execute as @s[scores={lvlmc.dead=1..}] run function lvlmc:player_died with entity @s


## LAST
execute as @a run scoreboard players operation @s lvlmc.last_mainhand_slot = @s lvlmc.mainhand_slot
execute as @a run scoreboard players operation @s lvlmc.last_mainhand_count = @s lvlmc.mainhand_count